Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
dirent.h File Reference

Go to the source code of this file.

## Functions
int | readdir_r (DIR *dirp, struct dirent *entry, struct dirent **result)
void | rewinddir (DIR *dirp)
long | telldir (DIR *dirp)
void | seekdir (DIR *dirp, long offset)

## Function Documentation

int readdir_r | ( | DIR * | dirp,
|  | struct dirent * | entry,
|  | struct dirent ** | result
| ) |  |

void rewinddir | ( | DIR * | dirp | ) |

Referenced by dir_each(), and dir_rewind().

void seekdir | ( | DIR * | dirp,
|  | long | offset
| ) |  |

long telldir | ( | DIR * | dirp | ) |